package de.twomartens.troubleshooting

class Message(val message: String, val sent: Boolean, val createdAt: Long)

class SpinnerOption(val id: String, val text: String, val type: OptionType) {
    companion object Factory {
        fun getOptions(ids: Array<String>, strings: Array<String>, type: OptionType): Array<SpinnerOption> {
            return Array(strings.size) {
                SpinnerOption(ids[it], strings[it], type)
            }
        }
    }

    override fun toString(): String {
        return text
    }
}